package _VisualDVM.Visual.Menus.MainMenuBar.VisualiserSettingsMenu;
import Common.Utils.Utils_;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.Settings.SettingName;
import _VisualDVM.Visual.Menus.PropertiesSubmenu;
import _VisualDVM.Visual.Menus.SettingsSubmenu;
public class VisualiserSettingsMenu extends VisualiserMenu {
    public VisualiserSettingsMenu() {
        super("Настройки визуализатора", "/icons/Settings.png");
        //-
        add(new PropertiesSubmenu("Подтверждения и уведомления", null,
                "ShowPassesDone",
                "ConfirmPassesStart",
                "FocusPassesResult"
        ));
        add(new CompactnessSettingsMenu());
        if (Utils_.isWindows()) {
            add(new SettingsSubmenu("Компиляция на локальной машине", null,
                    SettingName.LocalMakePathWindows,
                    SettingName.Kernels
            ));
        } else {
            add(new SettingsSubmenu("Компиляция на локальной машине", null,
                    SettingName.Kernels
            ));
        }
        add(new SettingsSubmenu("Синхронизация", null,
                SettingName.AutoBugReportsLoad,
                SettingName.AutoTestsLoad
        ));
        add(new SettingsSubmenu("Сравнение", null,
                SettingName.ExtensionsOn,
                SettingName.RegisterOn,
                SettingName.SpacesOn,
                SettingName.EmptyLinesOn,
                SettingName.FortranWrapsOn,
                SettingName.ComparsionDiffMergeOn
        ));
        add((Global.mainModule.getDb()).settings.get(SettingName.Workspace).getMenuItem());
        add((Global.mainModule.getDb()).settings.get(SettingName.BugReportsAgeLimit).getMenuItem());
    }
}
